'use strict';

module.exports = function () {
  return function (pluginContext) {
    var React = pluginContext.lib.React;


    return {
      recordTypes: {
        propagation: {
          serviceConfig: {
            serviceName: 'Propagations',
            servicePath: 'propagations',
            serviceType: 'procedure',

            objectName: 'Propagation',
            documentName: 'propagations'
          },
          forms: {
            default: React.createElement('div', null)
          },
          messages: {
            record: {
              name: {
                id: 'record.propagation.name',
                defaultMessage: 'Propagation'
              },
              collectionName: {
                id: 'record.propagation.collectionName',
                defaultMessage: 'Propagations'
              }
            }
          },
          title: function title() {
            return '';
          }
        }
      }
    };
  };
};